#!/bin/sh
# Didier Spaier <didier~at~slint~dot~fr>
if [ $UID -eq 0 ]; then
  echo "Please execute this script as a regular user, not as root."
  exit
fi
ROOT=`dirname "$0"`
TMP=$(mktemp -d) || exit 1
export TEXTDOMAIN=slint
. gettext.sh
# Main
REPLY=dummy
while [ ! -z $REPLY ]; do
    dialog --title "`gettext " README documents from Slackware(R) "`" --menu \
    "`gettext "Most of the information provided in these documents is relevant for Slint. \
They come from Slackware 14.2 and are unmodified. 

Slackware is a registered trademark of Slackware Linux, Inc. \
Slint is neither affiliated nor endorsed by Slackware in any way."`" 0 0 8 \
     "ANNOUNCE.14_2" "`gettext "Featuring Slackware 14.2"`" \
     "README.initrd" "`gettext "Slackware initrd mini HOWTO"`" \
     "README_CRYPT.TXT" "`gettext "Installing Slackware on encrypted volumes"`" \
     "README_LVM.TXT"   "`gettext "Installing Slackware on Logical volumes"`" \
     "README_RAID.TXT" "`gettext "Slackware RAID HOWTO"`" \
     "README_UEFI.TXT" "`gettext "To use UEFI, or not to use UEFI?"`" \
     "SPEAKUP_DOCS.TXT" "`gettext "Presentation and usage of Speakup (2008)"`" \
     "SPEAK_INSTALL.TXT" "`gettext "How to install Speakup (2008)"`" \
    2>$TMP/reply
    REPLY="$(cat $TMP/reply)"
    rm -f $TMP/reply
    if [ ! -z $REPLY ]; then
      most $ROOT/$REPLY
    fi
done
rm -rf $TMP

